MDL-67115 google: php74 params order for implode()
[moodle.git] / lib / google / readme_moodle.txt
1 Google APIs Client Library for PHP
2 ==================================
4 Only the source, LICENSE, README and autoloader files have been kept in this directory:
6 - Copy /src/Google to /src/Google
7 - Copy /LICENSE to LICENSE
8 - Copy /README.md to README.md
9 - Copy /autoload.php to autoload.php
11 Here are the files that we have added.
13 /lib.php
15     Is a wrapper to get a Google_Client object with the default configuration
16     that should be used throughout Moodle. It also takes care of including the
17     required files and updating the include_path.
19     Every use of the Google PHP API should always start by requiring this file.
20     Apart from the wrapping of Google_Client above... it's also responsible for
21     enabling the autoload of all the API classes.
23     So, basically, every use of the Google Client API should be something like:
25         require_once($CFG->libdir . '/google/lib.php');
26         $client = get_google_client();
28     And, from there, use the Client API normally. Everything will be autoloaded.
30 /curlio.php
32     An override of the default Google_IO_Curl class to use our Curl class
33     rather then their implementation. When upgrading the library the default
34     Curl class should be checked to ensure that its functionalities are covered
35     in this file.
37     This should not ever be used directly. The wrapper above uses it automatically.
39 Local changes (to reapply until upstream upgrades contain them):
40     * MDL-67034 php74 compliance fixes
41     * MDL-67115 php74 implode() compliance fixes. This is fixed in upstream library v2.2.4
42       (verify that https://github.com/googleapis/google-api-php-client/pull/1683 is applied)
45 Information
46 -----------
48 Repository: https://github.com/google/google-api-php-client
49 Documentation: https://developers.google.com/api-client-library/php/
50 Global documentation: https://developers.google.com
52 Downloaded version: 1.1.7